<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center">Welcome to the Form Page</h2>
	<!-- Semantic Tags
		Semanntic tags are new additions to HTML. Semantic tag are also container for elements but unlike divs they are definitive and describes its content without relying to semantic id. However, em, strong are also considered as semantic tags

		Semantic containers such as nav, main, section etc. These semantic containers are now preferred by the developers because it aids SEO, browsers as well as other developers.
	 -->
	 <!-- main is a semantic container used to show/display the main content of a page -->
	 <main>
	 	<!-- sections are used to show parts of a page or content -->
	 	<section>
	 		<h2>HTML Forms</h2>
	 		<p>
	 			HTML Forms are used to gather information/data from our user and send that information to a server.
	 		</p>
	 	</section>
	 	<section>
	 		<!-- form tags allows to creae a form. We can gather and send user input from our form -->
	 		<!-- action attribute is used to define where the information gathered will be passed after the submission -->
	 		<form action="https://google.com">
	 			<!-- label tags create a text element that serves as a table to input filled
	 				-for attribute to this element such as that when this label is clicked our cursor will be moved into our input -->

	 				<!-- input tag allows us to create an input element which can be used to add user input. -->

	 				<!-- type attribute is input element where in it allow us to identify what kind of information is to gather
	 				It also affects the behaviour of the input element.

	 				name attribute in input element allows us to provide a name, identifier for the VALUE of the input element. This is used to identify the value of an input in a form data

	 				id attribute it allows us to identify the input element. it is used to reference of the for attribute by appropriate label element

	 				required attribute will not allow the form to be submitted until the input element has value or data

	 				autocomplete attribute provide suggestion for inputs and allows for the better user experience.

	 				 -->
	 			<label for="fname">Full Name:</label>
	 			<br>
	 			<input type="text" id="fname" name="fullname" required autocomplete />
	 			<!-- birthdate -->
	 			<br>
	 			<label for="bday">Birthdate:</label>
	 			<br>
	 			<!-- type="date" for an input element changes the behavior of input element and only allows the input of dates -->
	 			<input type="date" name="bdate" id="bday" required>
	 			<!-- age -->
	 			<br>
	 			<label for="ageInput">Age:</label>
	 			<br>
	 			<!-- type="number0 for an input element allow only input numbers" -->
	 			<!-- the min and max attributes allows us to add a minimun or maximum number to be input in our number type input element -->
	 			<input type="number" name="age" id="ageInput" min="18" max="40" required>
	 			<br>
	 			<!-- gender -->
	 			<label for="genderInput">Gender</label>
	 			<br>
	 			<!-- select tag allows us to create a dropdown menu to select an option

	 			option tag it allows us to create the option or choices availble for our select tag -->

	 			<!-- value attribute - we provide it per option as this will be the data sent with pur form -->
	 			<select name="gender" id="genderInput">
	 				<option value="male">Male</option>
	 				<option value="female">Female</option>
	 				<option value="other">Not to Mention</option>
	 			</select>
	 			<!-- radio -->
	 			<!-- radio type input allow us to create radio button which lets users pass a single peace of information based o multiple  other radio buttons. -->
	 			<!-- name attribute of radio button should be the same to allow only one value to be stored or passed with our form -->
	 			<br>
	 			<label>New User?</label>
	 			<br>
	 			<input type="radio" name="new_user" id="radioUser1" value="yes">
	 			<label for="radioUser1">Yes</label>
	 			<br>
	 			<input type="radio" name="new_user" id="radioUser2" value="no">
	 			<label for="radioUser2">No</label>
	 			<br>
	 			<!-- checkbox -->
	 			<!-- checkbox type input will create check which allows for multiple selection among multiple choices -->
	 			<!-- for multiple selection, the name attribute for each checkbox should be unique BUT related -->
	 			<label>Roles</label>
	 			<br>
	 			<input type="checkbox" name="role1" id="roleInput1" value="developer">
	 			<label for="roleInput1">Developer</label>
	 			<br>
	 			<input type="checkbox" name="role2" id="roleInput2" value="student">
	 			<label for="roleInput2">Student</label>
	 			<br>
	 			<input type="checkbox" name="role3" id="roleInput3" value="manager">
	 			<label for="roleInput3">Manager</label>
	 			<br>
	 			<label for="messageInput">Message</label>
	 			<textarea name="message" rows="4" id="messageInput"></textarea>
	 			<br><br>
	 			<button type="submit">Submit</button>
	 			<button type="reset">Reset</button>

	 		</form>
	 	</section>
	 </main>
</body>
</html>